Bug 430912 - MPT fusion crash: kernel 2.6.23.12-52.fc7 and up (FC 8 too)
MPT fusion crash: kernel 2.6.23.12-52.fc7 and up (FC 8 too)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-30 10:15 EST by Gerry Maddock
Modified: 2009-01-09 00:53 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:53:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Boot log from my actuel kernel (42.42 KB, text/plain)
2008-02-29 08:50 EST, Stefan Leblanc
no flags Details

  None (edit)
Description Gerry Maddock 2008-01-30 10:15:02 EST
Description of problem: This applies to fc8 too (I initially installed w8 and
had the same problem. I have a Dell Poweredge 1950. It has Serial ATA drives.

The default FC 7 kernel boots my sys fine, just after I update via yum w/default
yum conf...meaning no extra repos. As of kernel 2.6.23.12-52.fc7 and up tried
w/FC8 fresh install. The system hangs during boot @: Loading ata_piix.ko module

Fedora Rocks!!!

Version-Release number of selected component (if applicable):
kernel 2.6.23.12-52.fc7

How reproducible:
Select kernel 2.6.23.12-52.fc7 or higher in grub during boot

Steps to Reproduce:
1. select kernel 2.6.23.12-52.fc7, boot
2.
3.
  
Actual results:
hangs

Expected results:
logon prompt

Additional info:
Comment 1 Gerry Maddock 2008-01-30 10:17:24 EST
Let me know if you need any more info
Comment 2 Gerry Maddock 2008-01-30 10:30:31 EST
Heres my sys info from smolt:
http://www.smolts.org/show?UUID=0b59f4fa-e0c0-48a6-9b3c-b1263a34ef97

Comment 3 Stefan Leblanc 2008-02-20 16:36:57 EST
I have same problem with with same server but equiped with SAS 6/IR controler 
and 2xSAS drives in a raid 1 configuration.

Tried FC8, installation DVD won't boot stoped at loading ata_piix.ko just after 
the mptsas module cored.

I installed the default FC7 with kernel 2.6.21.3194.fc7 and booted fine.  When 
I did a yum update it installed kernel 2.6.23.15.80 witch does not boot anymore.

I tried every driver disks from Dell witout success before finding it was a 
kernel problem.
Comment 4 Gerry Maddock 2008-02-28 13:52:14 EST
Any ideas?????
Comment 5 Dave Jones 2008-02-28 14:08:10 EST
can you try the 2.6.24 from updates-testing ?
Comment 6 Gerry Maddock 2008-02-28 14:21:21 EST
Yes I can. It may take me a few days as that server is now in our UK office and
I'll have to arrange to have someone onsite who I can walk through a reboot if
the kernel hangs. It will probably be on March 7 as this weekend is end of month
and dont have time for server to be down for a minute. I will try and keep you
posted.  Perhaps Stefan could try it as well.
Comment 7 Alan Cox 2008-02-28 14:35:40 EST
Boot messages required but from other reports I'll take a guess that its
actually an acpi/irq regression as it seems to bridge multiple hardware setups.
Comment 8 Stefan Leblanc 2008-02-29 08:50:17 EST
Created attachment 296350 [details]
Boot log from my actuel kernel
Comment 9 Stefan Leblanc 2008-02-29 08:51:33 EST
I would love to.  But infortunately the server is now in production stored in a 
3rd party datawarehouse where I have to pay to gain access.

All I can give you would be the actual boot log from my actual kernel (2.6.21-
1.3194.fc7)

The logs from the defective kernel boots were deleted.

Thanks for helping, sorry not beeing more supportive.
Comment 10 Gene Courtney 2008-03-12 16:24:45 EDT
Same hardware, same problem.

There is no 2.6.24 kernel in the updates-testing repo for f7.  The latest kernel
available there is 2.6.23.17-82.fc7.

I loaded it and rebooted...same result.
Comment 11 Gene Courtney 2008-03-13 16:23:07 EDT
Since no 2.6.24 kernel was available for f7, I decided to boot my system from
the 2.6.21-1.3194.fc7 kernel (from initial f7 install), then do a 'yum upgrade'
to the most recent f8 packages.  This resulted in the default kernel being
2.6.24.3-12.fc8.

Upon reboot...same result!

No means to capture full trace from console:

>   Booting Kernel...
>
>   Red Hat nash 6.0.9...

Dump/Trace ending in:

>   Code 0f b7 07 48 8b 54 24 08 89 02 49 8d 84 24 58 06 00 00 89
>   RIP [<ffffffff880ae242>]  :mptsas:mptsas_probe_expander_phys +0x62/0x52d
>    RSP <ffff81043c0c3bb8>
>   CR2: 0000000000000010
>   ---[ end of trace cb4b7d2f8954101f ]---
Comment 12 Chuck Ebbert 2008-03-13 17:03:25 EDT
(In reply to comment #11)
> Since no 2.6.24 kernel was available for f7, I decided to boot my system from
> the 2.6.21-1.3194.fc7 kernel (from initial f7 install), then do a 'yum upgrade'
> to the most recent f8 packages.  This resulted in the default kernel being
> 2.6.24.3-12.fc8.
> 
> Upon reboot...same result!
> 
> No means to capture full trace from console:
> 
> >   Booting Kernel...
> >
> >   Red Hat nash 6.0.9...
> 
> Dump/Trace ending in:
> 
> >   Code 0f b7 07 48 8b 54 24 08 89 02 49 8d 84 24 58 06 00 00 89
> >   RIP [<ffffffff880ae242>]  :mptsas:mptsas_probe_expander_phys +0x62/0x52d
> >    RSP <ffff81043c0c3bb8>
> >   CR2: 0000000000000010
> >   ---[ end of trace cb4b7d2f8954101f ]---
> 

Uh, that's a bug in the LSI Fusion MPT SAS driver.
Comment 13 Gene Courtney 2008-03-13 23:50:29 EDT
But the driver works fine with kernels before 2.6.23.12-52.fc7???

Are you saying that I should look to Dell/LSI to provide a driver update?
Comment 14 Bug Zapper 2008-05-14 11:17:24 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2008-11-26 04:38:28 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2009-01-09 00:53:08 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.